<div class="container">
  <div class="card mt-3 mb-3"
       *ngIf="(cardDetails$|async); let cardDetails">
    <div class="card-body">
      <div class="table-responsive">
        <table class="table table-hover">
          <tbody>
          <tr>
            <td>ID</td>
            <td id="card-details__id-value">{{cardDetails.cardId}}</td>
          </tr>

          <tr>
            <td>Database ID</td>
            <td>{{cardDetails.dbfId}}</td>
          </tr>

          <tr>
            <td>Name</td>
            <td id="card-details__name-value">{{cardDetails.name}}</td>
          </tr>

          <tr>
            <td>Type</td>
            <td>{{cardDetails.type}}</td>
          </tr>

          <tr *ngIf="cardDetails.faction">
            <td>Faction</td>
            <td>{{cardDetails.faction}}</td>
          </tr>

          <tr>
            <td>Cost</td>
            <td>{{cardDetails.cost}}</td>
          </tr>

          <tr *ngIf="cardDetails.attack">
            <td>Attack</td>
            <td>{{cardDetails.attack}}</td>
          </tr>

          <tr *ngIf="cardDetails.health">
            <td>Health</td>
            <td>{{cardDetails.health}}</td>
          </tr>

          <tr *ngIf="cardDetails.durability">
            <td>Durability</td>
            <td>{{cardDetails.durability}}</td>
          </tr>

          <tr *ngIf="cardDetails.armour">
            <td>Armor</td>
            <td>{{cardDetails.armor}}</td>
          </tr>

          <tr>
            <td>Text</td>
            <td>{{cardDetails.text}}</td>
          </tr>

          <tr *ngIf="cardDetails.inPlayText">
            <td>In play text</td>
            <td>{{cardDetails.inPlayText}}</td>
          </tr>

          <tr>
            <td>Flavor</td>
            <td>{{cardDetails.flavor}}</td>
          </tr>

          <tr>
            <td>Artist</td>
            <td>{{cardDetails.artist}}</td>
          </tr>

          <tr>
            <td>Collectible</td>
            <td>{{cardDetails.collectible}}</td>
          </tr>

          <tr *ngIf="cardDetails.elite">
            <td>Elite</td>
            <td>{{cardDetails.elite}}</td>
          </tr>

          <tr *ngIf="cardDetails.race">
            <td>Race</td>
            <td>{{cardDetails.race}}</td>
          </tr>

          <tr>
            <td>PlayerClass</td>
            <td>{{cardDetails.playerClass}}</td>
          </tr>

          <tr *ngIf="cardDetails.multiClassGroup">
            <td>Multi class group</td>
            <td>{{cardDetails.multiClassGroup}}</td>
          </tr>

          <tr *ngIf="cardDetails.classes">
            <td>Classes</td>
            <td>{{cardDetails.classes}}</td>
          </tr>

          <tr *ngIf="cardDetails.howToGet">
            <td>How to get</td>
            <td>{{cardDetails.howToGet}}</td>
          </tr>

          <tr *ngIf="cardDetails.howToGetGold">
            <td>How to get gold</td>
            <td>{{cardDetails.howToGetGold}}</td>
          </tr>

          <tr>
            <td>Image</td>
            <td><img src="{{cardDetails.img}}" class="img-fluid" alt="Responsive image"></td>
          </tr>

          <tr>
            <td>Image gold</td>
            <td><img src="{{cardDetails.imgGold}}" class="img-fluid" alt="Responsive image"></td>
          </tr>

          <tr>
            <td>Locale</td>
            <td>{{cardDetails.locale}}</td>
          </tr>

          <tr *ngIf="cardDetails.mechanics">
            <td>Mechanics</td>
            <td><span *ngFor="let mechanic of cardDetails.mechanics">{{mechanic.name}}</span></td>
          </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
</div>
